Skip to main content

Team Members

  • Tyler Cady (tcady3@gatech.edu)
    Engineering Manager, responsible for engineering task delegations, system architecture, optimization algorithm development, integration, and documentation.
  • Annie Vallamattam (avallamattam6@gatech.edu)
    Project Manager, responsible for general task delegation, client communication, front-end development, and user interface design.
  • Matthew Dworkin (mdworkin3@gatech.edu)
    Back-end development, responsible for database development, test infrastructure, data integration, and handling optimization algorithm output.
  • Natasha Narayanan (nnarayanan34@gatech.edu)
    Database management, front-end development, and back-end development.
  • Ignacio Galindo (igalindo3@gatech.edu)
    Back-end development, optimization algorithm input handling, database management, and front-end development.

API Documentation

Response Codes

GET /api/name

Retrieves user names based on user IDs.

Parameters

Response Fields


POST /api/create-carpool-data

Generates a unique carpool ID for the created pool, saves the inputted data, and commits carpool data to the database.

Parameters

Response Fields


GET /api/create-carpool-data

Retrieves carpool data after accepting the user and its carpoolID to identify the corresponding carpool.

Parameters

Response Fields


POST /api/join-carpool-data

Validates incoming joining data, and commits the carpool and user data to the database.

Parameters

Response Fields


GET /api/join-carpool-data

Retrieves carpool data after accepting the user.

Parameters

Response Fields


GET /api/optimization-results

Fetches optimization results from the database after authenticating a user and accepting the carpool ID.

Parameters

Response Fields


POST /api/save-optimization

Confirms whether the user is the owner of the carpool, sanitizes optimization results, and saves incoming data in the database.

Parameters

Response Fields


POST /api/update-carpool

Validates incoming carpool ID and data, then updates the carpool database with new data.

Parameters

Response Fields


POST /api/update-user-carpool

Validates the incoming user ID, carpool ID, and carpool data, then updates the user-carpool-data database with new data.

Parameters

Response Fields